CalryOTA Docs
Cancellation policies

What a listing sells under on a channel, and why

Resolves the owner’s policy for the listing and sales channel, reporting the level it came from.

GET
/api/v1/cancellation-policies/effective

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Query Parameters

listingID*string

Listing to resolve the policy for

channel?string

Sales channel to resolve for (default direct)

Header Parameters

x-calry-tenant-id?string

Tenant (host) whose policies to manage. If not provided, the default tenant is used.

Response Body

application/json

curl -X GET "https://example.com/api/v1/cancellation-policies/effective?listingID=string"
{
  "listingID": "string",
  "salesChannel": "direct",
  "source": "LISTING_CHANNEL",
  "policyID": "string",
  "name": "Moderate",
  "version": 0,
  "tiers": [
    {
      "daysBeforeCheckIn": 7,
      "refundPercentage": 50
    }
  ]
}